<h1>Employee List</h1>
<table mat-table [dataSource]="EMP_ELEMENT_DATA" class="mat-elevation-z8">
  <!-- Id Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>No.</th>
    <td mat-cell *matCellDef="let element">{{ element.id }}</td>
  </ng-container>

  <!-- Image Column -->
  <ng-container matColumnDef="image">
    <th mat-header-cell *matHeaderCellDef>Image</th>
    <td mat-cell *matCellDef="let element">
      <img
        src="{{
          'https://ui-avatars.com/api/?name=' +
            element.username +
            '&background=0D8ABC&color=fff'
        }}"
      />
    </td>
  </ng-container>

  <!-- Username Column -->
  <ng-container matColumnDef="username">
    <th mat-header-cell *matHeaderCellDef>Username</th>
    <td mat-cell *matCellDef="let element">
      {{ element.username }}
    </td>
  </ng-container>

  <!-- Password Column -->
  <ng-container matColumnDef="password">
    <th mat-header-cell *matHeaderCellDef>Password</th>
    <td mat-cell *matCellDef="let element">{{ element.password }}</td>
  </ng-container>

  <!-- Email Column -->
  <ng-container matColumnDef="emails">
    <th mat-header-cell *matHeaderCellDef>Email</th>
    <td mat-cell *matCellDef="let element">{{ element.emails }}</td>
  </ng-container>

  <!-- Gender Column -->
  <ng-container matColumnDef="gender">
    <th mat-header-cell *matHeaderCellDef>Gender</th>
    <td mat-cell *matCellDef="let element">{{ element.gender }}</td>
  </ng-container>

  <!-- Types Column -->
  <ng-container matColumnDef="types">
    <th mat-header-cell *matHeaderCellDef>Types</th>
    <td mat-cell *matCellDef="let element">{{ element.types }}</td>
  </ng-container>

  <!-- PhoneNumber Column -->
  <ng-container matColumnDef="phoneNumber">
    <th mat-header-cell *matHeaderCellDef>Phone</th>
    <td mat-cell *matCellDef="let element">
      <mat-select>
        <mat-option *ngFor="let row of element.phoneNumber">
          {{ row.pnumber }}
        </mat-option>
      </mat-select>
    </td>
  </ng-container>


  <!-- Action Column -->
  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>action</th>
    <td mat-cell *matCellDef="let element" style="padding-right: 0;">
      <button mat-raised-button color="warn" type="button" (click)="onDelete(element)">del</button
      >{{ " " }}
      <button mat-raised-button color="primary" type="button" (click)="onUpdate(element)">edit</button
      >{{ " " }}
      <button mat-raised-button color="accent" type="button" (click)="openDialog(element)">view</button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumnsEmp"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumnsEmp"></tr>
</table>
